%define oname pitfdll
%define majorminor 0.10
%define cvs 20080215
%define release %mkrel -c %cvs 3
%define distsuffix plf

Name: 		gstreamer0.10-%oname
Version: 	0.9.1.1
Release:	%release
Summary:	GStreamer DLL loader plugin
Group: 		Video
License: 	GPLv2+
URL:		http://ronald.bitfreak.net/pitfdll/
Source:		http://prdownloads.sourceforge.net/pitfdll/pitfdll-%{cvs}.tar.bz2
# http://sourceforge.net/tracker/index.php?func=detail&aid=1697883&group_id=137113&atid=737825
Patch1: pitfdll-20080215-autoconf.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	libgstreamer-plugins-base-devel
ExclusiveArch: %ix86

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This plugin contains a DLL loader to provide media playback for proprietary
formats. The 32 Bit Windows DLL files must be placed in /usr/lib/codecs, just
install the win32-codecs package.

This package is in PLF as you need the proprietary DLLs.
%prep
%setup -q -n pitfdll
%patch1
./autogen.sh

%build
%configure2_5x --with-dlldir=%_libdir/codecs
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS README
%{_libdir}/gstreamer-%{majorminor}/libpitfdll.so

%changelog
* Sun Apr 25 2010 Götz Waschk <goetz@zarb.org> 0.9.1.1-0.20080215.3plf2010.1
- change codecs dir to %_libdir/codecs

* Tue Mar 16 2010 Götz Waschk <goetz@zarb.org> 0.9.1.1-0.20080215.2plf2010.1
- update the patch to make it build
- update license

* Thu Mar 13 2008 Götz Waschk <goetz@zarb.org> 0.9.1.1-0.20080215.1plf2008.1
- update description
- drop patch 0
- add exclusive arch
- new snapshot

* Wed Jul 11 2007 Götz Waschk <goetz@zarb.org> 0.9.1.1-0.20070321.2plf2008.0
- fix build
- bug fix, see sf bug #1697883

* Wed Jun 13 2007 Götz Waschk <goetz@zarb.org> 0.9.1.1-0.20070321.1plf2008.0
- new snapshot

* Wed Feb 14 2007 Götz Waschk <goetz@zarb.org> 0.9.1.1-0.20070131.1plf2007.1
- new snapshot

* Thu Jun 22 2006 Götz Waschk <goetz@zarb.org> 0.9.1.1-0.2plf2007.0
- drop useless post script

* Thu Jun 22 2006 Götz Waschk <goetz@zarb.org> 0.9.1.1-0.1plf2007.0
- initial package
